//*************************************************************
// LCD Cu@PIC18
//
//************* I/O Define  **********************
// 
#define 	LCD_DB		LATC
#define 	LCD_EN 		LATCbits.LATC4
#define 	LCD_RS 		LATCbits.LATC5
//
//************* Delay *******************************************
// KvƂfBCԂNbNgvZAw肷
// ߃TCNiTCY)́ANbN@S̎ԂłB
//
// @@Clock = 4Mhz@instruction cycle = 1Mhz (1Sec)
//
//      Clock         --4Mhz---   --40Mhz--   --48Mhz--
//      Delay1TCY       1Sec      0.1Sec    80nSec
//      Delay10TCYx     10Sec     1Sec      0.8Sec
//      Delay100TCYx    100Sec    10Sec     8Sec
//      Delay1KTCYx     1mSec       0.1mSec     80Sec
//      Delay10KTCYx    10mSec      1mSec       0.8mSec 
//*************** Delay Define 4MHz ********************
#define  Delay_50uS  Delay10TCYx(5)
#define  Delay_1mS   Delay1KTCYx(1)
#define  Delay_2mS   Delay1KTCYx(2)
#define  Delay_5mS   Delay1KTCYx(5)
#define  Delay_20mS  Delay1KTCYx(20)
//*************** Delay Define 48MHz ********************
// #define  Delay_50uS  Delay100TCYx(6)
// #define  Delay_1mS   Delay1KTCYx(12)
// #define  Delay_2mS   Delay1KTCYx(24)
// #define  Delay_5mS   Delay10KTCYx(6)
// #define  Delay_20mS  Delay10KTCYx(24)
//********************************************************
void LCD_dat(char);
void LCD_cmd(char);
void LCD_clr(void);
void LCD_int(void);
void LCD_str(char *);
void LCD_posyx(char,char);
void LCD_ROMstr(rom const char *);
void LCD_hex(char);

char LCD_hxH(char);
char LCD_hxL(char);
